# Class: Modal

## M_.Modal()

Display a background on html document

## Constructor

#### new Modal()

##### Properties:

Name | Type | Description
--- | --- | ---
`visible` | type |
`focusOn` | type |
`clickHide` | type |
`alpha` | type |
`zindex` | type |

Implements:
  - M_.Observable

### Methods

#### hide() → {type}

##### Returns:

Type
  type

#### isVisible() → {Boolean}

##### Returns:

Type
  Boolean

#### show() → {type}

##### Returns:

Type
  type

#### showOrHide(ok, anim) → {type}

##### Parameters:

Name | Type | Default | Description
--- | --- | --- | ---
`ok` | type |  |
`anim` | Boolean | false |

##### Returns:

Type
  type